Subject: man-2.0a2 replaced with man_db-2.1b1
From: Wilf <[email-masked]>
Date: 17 Jul 1994 21:41:49 GMT
Newsgroups: comp.os.linux.announce

MAN v2.1.1 beta 
---------------

After the large response I had from releasing man-2.0a2, a lot of bug fixes
and suggestions have been implemented. Security was a major concern amongst
you, and a lot of work has been done to produce a far more secure setuid 
implementation. The name was changed to avoid further confusion.

An extract from the README regarding features:

2. Features:
------------

Man_db 2.1 is a manual browser tool providing you with the visualisazion
of manual pages like the well known UN*X man program, but it also adds 
some enhanced functionality:

    - Support for multiple man page directory trees, and alternate
      systems.

    - Handling of user specific man trees.

    - Secure preformatting of man pages to cat pages.

    - Management of cat pages without nroff-sources, so called stray
      cats.

    - Management of complete cat-only systems without nroff.

    - Compression of catpages.

    - Replacement of file searching techniques with hashed database 
      lookup, thus providing greatly improved speed.

    - Support of several output formats like troff, postscript, dvi
      and others.

    - Enables viewing of local man page sources that have yet to be
      installed.

    - Optional complete FSSTND file placement compliance.

    - Easy to build and install because of completely rewritten
      configure script.

Also included is a C based makewhatis clone that reduces whatis building times
by a factor of ten on my system. Please note that due to the way that the
locations are stored in the database(s), it is difficult to allow for
compressed man source, and therefore this is not supported. NLS is also still
missing. These features are promised for the future.

The lsm:

Title        = man - db based manual pager
Version      = 2.1.1 beta
Desc1        = This version of man is an upgrade of man-2.0a2. 
Desc2        = It can be FSSTND compliant and uses a self updating database 
Desc3        = to store the location of the man pages. This version offers 
Desc4        = improved security, features, portability, speed and far more 
Decs5        = stability than the previous version.
Author       = New stuff by Graeme Wilford (Wilf.) and Kim-Minh Kaplan
AuthorEmail  = [email-masked], [email-masked]
Maintainer   = Wilf.
MaintEmail   = [email-masked]
Site1        = sunsite.unc.edu
Path1        = /pub/Linux/system/Manual-pagers
File1        = man_db-2.1b1.tgz
FileSize1    = 140486 
Required1    = Possibly >= GNU make-v3.70 
Required2    = gdbm or ndbm database routines (included in libc-4.x.x)
CopyPolicy1  = Freely distributable, but Copyrighted.
Keywords     = man mandb manpath apropos whatis staycats manual pager
RelFiles1    = mandb manpath apropos whatis makewhatis straycats
RelFiles2    = getwhatis gdbmver getmandbver accessdb
Entered      = 15JUL94
EnteredBy    = [email-masked]
CheckedEmail = [email-masked]

Cheers,
Wilf.
--
	Dept. of Electronic Eng.	"Even a stopped clock gives the	
	University of Surrey		    right time twice a day." 
	Guildford			      - I (Withnail & I)
	England.			email: [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.